Package robocode.control.snapshot

## Enum RobotState

- java.lang.Object
- - java.lang.Enum<RobotState>
  - - robocode.control.snapshot.RobotState

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<RobotState>`

    public enum RobotState
    extends java.lang.Enum<RobotState>

Defines a robot state, which can be: active on the battlefield, hitting a wall or robot this turn, or dead.

Since:
  1.6.2
Author:
  Flemming N. Larsen (original)

### Enum Constant Summary

Enum Constants
`ACTIVE` The robot is active on the battlefield and has not hit the wall or a robot at this turn.
`DEAD` The robot is dead.
`HIT_ROBOT` The robot has hit another robot at this turn.
`HIT_WALL` The robot has hit a wall, i.e.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()` Returns the state as an integer value.
`boolean` `isAlive()` Checks if the robot is alive.
`boolean` `isDead()` Checks if the robot is dead.
`boolean` `isHitRobot()` Checks if the robot has hit another robot.
`boolean` `isHitWall()` Checks if the robot has hit the wall, i.e.
`static RobotState` `toState​(int value)` Returns a RobotState based on an integer value that represents a RobotState.
`static RobotState` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RobotState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACTIVE

    public static final RobotState ACTIVE

The robot is active on the battlefield and has not hit the wall or a robot at this turn.

#### HIT_WALL

    public static final RobotState HIT_WALL

The robot has hit a wall, i.e. one of the four borders, at this turn. This state only last one turn.

#### HIT_ROBOT

    public static final RobotState HIT_ROBOT

The robot has hit another robot at this turn. This state only last one turn.

#### DEAD

    public static final RobotState DEAD

The robot is dead.

### Method Detail

#### values

    public static RobotState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RobotState c : RobotState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RobotState valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Returns the state as an integer value.

Returns:
  an integer value representing this state.
See Also:
  `toState(int)`

#### toState

    public static RobotState toState​(int value)

Returns a RobotState based on an integer value that represents a RobotState.

Parameters:
  `value` - the integer value that represents a specific RobotState.
Returns:
  a RobotState that corresponds to the specific integer value.
Throws:
  `java.lang.IllegalArgumentException` - if the specified value does not correspond to a RobotState and hence is invalid.
See Also:
  `getValue()`

#### isAlive

    public boolean isAlive()

Checks if the robot is alive.

Returns:
  `true` if the robot is alive; `false` otherwise.
See Also:
  `isDead()`

#### isDead

    public boolean isDead()

Checks if the robot is dead.

Returns:
  `true` if the robot is dead; `false` otherwise.
See Also:
  `isAlive()`

#### isHitRobot

    public boolean isHitRobot()

Checks if the robot has hit another robot.

Returns:
  `true` if the robot has hit a robot; `false` otherwise.
See Also:
  `isHitWall()`

#### isHitWall

    public boolean isHitWall()

Checks if the robot has hit the wall, i.e. one of the four borders.

Returns:
  `true` if the robot has hit the wall; `false` otherwise.
See Also:
  `isHitRobot()`